SoPackedColor(3)

NAME
SoPackedColor - The SoPackedColor class is a node for setting diffuse and transparency material values.

SYNOPSIS

#include <Inventor/nodes/SoPackedColor.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoPackedColor (void)
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void callback (SoCallbackAction *action)
SbBool isTransparent (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoMFUInt32 orderedRGBA

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoPackedColor ()
virtual void notify (SoNotList *list)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoPackedColor class is a node for setting diffuse and transparency material values. This node provides a convenient way of setting diffuse colors and transparency values with packed 32-bit RGBA vectors.

FILE FORMAT/DEFAULTS:

PackedColor {
    orderedRGBA 0xccccccff
}

See also
    SoBaseColor

Constructor & Destructor Documentation

  SoPackedColor::SoPackedColor (void)
Constructor.

  SoPackedColor::~SoPackedColor () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoPackedColor::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoPackedColor::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoPackedColor::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoPackedColor::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoPackedColor::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoPackedColor::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoPackedColor::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  SbBool SoPackedColor::isTransparent (void)
Returns TRUE if there is at least one RGBA vector in the set which is not completely opaque.

  void SoPackedColor::notify (SoNotList * l) [protected], [virtual]
Notifies all auditors for this instance when changes are made.

Reimplemented from SoNode.

Member Data Documentation

  SoMFUInt32 SoPackedColor::orderedRGBA
Set of packed 32-bit RGBA vectors.

The most significant 24 bits specify 8 bits each for the red, green and blue components.

The least significant 8 bits specify the transparency value, where 0x00 means completely transparent, and 0xff completely opaque.

Author

Generated automatically by Doxygen for Coin from the source code.